### Method

# Soup Session set_tls_database

#### Declaration [src]

    void
    soup_session_set_tls_database (
      SoupSession* session,
      GTlsDatabase* tls_database
    )

#### Description [src]

Set a GIo.TlsDatabase to be used by `session` on new connections.

If `tls_database` is `NULL` then certificate validation will always fail. See `SoupSession:tls-database` for more information.

Sets property | `Soup.Session:tls-database`

#### Parameters

`tls_database`

  Type: `GTlsDatabase`

  A `GTlsDatabase`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.